Petnow LogoPetnow

Upload an appearance image

Upload one appearance image to a capture session. Send the image as `multipart/form-data` and the capture session ID in the `sessionId` query parameter.

POST
/v2/appearances:upload

Authorization

VendorApiKeyAuth
x-petnow-api-key<token>

An API key from the Petify Console. A server key can call every route. A client (app) key can only create capture sessions and upload images.

In: header

Query Parameters

sessionId*string

ID of the capture session that receives the image.

Formatuuid

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

file*string

Image file to upload (JPEG, PNG, etc.)

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.petify.petnow.io/v2/appearances:upload?sessionId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -F file="string"
{
  "success": true,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  }
}
{
  "errors": [
    {
      "code": "PETNOWB2B10001"
    }
  ]
}
{
  "errors": [
    {
      "code": "PETNOWB2B10000"
    }
  ]
}
{
  "errors": [
    {
      "code": "PETNOWB2B10010"
    }
  ]
}
{
  "errors": [
    {
      "code": "PETNOWB2B20010"
    }
  ]
}
{
  "errors": [
    {
      "code": "PETNOWB2B20018"
    }
  ]
}

{
  "errors": [
    {
      "code": "PETNOWB2B20019"
    }
  ]
}